at.chipkarte.client.elgaad.soap

## Class PatientInfo

- Object
- - at.chipkarte.client.elgaad.soap.PatientInfo

-     public class PatientInfo
      extends Object

  Informationen zum Patienten.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Patienteninformation der Institution zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatientInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse[]` | `getAdresseList()` Adressen des Patienten (maximal zwei Adressen).
    `String` | `getBpkGh()` Bereichsspsezifisches Personenkennzeichen (bPk) Gesundheit (GH).
    `Code` | `getFamilienstand()` Familienstand des Patienten.
    `String` | `getGeburtsdatum()` Geburtsdatum/-zeitpunkt des Patienten.
    `Adresse` | `getGeburtsort()` Adresse des Geburtsorts.
    `Code` | `getGeschlecht()` Geschlecht des Patienten.
    `Id` | `getLokaleId()` Identifikation des Patienten im lokalen System.
    `Name` | `getName()` Name des Patienten.
    `Code` | `getReligionsbekenntnis()` Religionsbekenntnis des Patienten.
    `Guardian[]` | `getSachwalterList()` Sachwalter/Vormund.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `String[]` | `getTelecomList()` Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
    `void` | `setAdresseList(Adresse[] adresseList)`
    `void` | `setBpkGh(String bpkGh)`
    `void` | `setFamilienstand(Code familienstand)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeburtsort(Adresse geburtsort)`
    `void` | `setGeschlecht(Code geschlecht)`
    `void` | `setLokaleId(Id lokaleId)`
    `void` | `setName(Name name)`
    `void` | `setReligionsbekenntnis(Code religionsbekenntnis)`
    `void` | `setSachwalterList(Guardian[] sachwalterList)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTelecomList(String[] telecomList)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatientInfo

          public PatientInfo()

  - ### Method Detail

    - #### getLokaleId

          public Id getLokaleId()

      Identifikation des Patienten im lokalen System. Siehe `Id`.
      Eingabebedingung:
      Erfassung: Kann. Wird bei Nichtangabe automatisch mit der SV-Nummer (mit Adapter-spezifischer OID) bzw. dem bPk-GH des Patienten versorgt.
      Änderung: Kann. Wird bei Nichtangabe automatisch mit der SV-Nummer (mit Adapter-spezifischer OID) bzw. dem bPk-GH des Patienten versorgt.
      Ausgabebedingung: Muss.
      Returns:
        lokale Id.

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Format: max. 10 stellig (numerisch)
      Returns:
        Sv-Nummer.

    - #### getBpkGh

          public String getBpkGh()

      Bereichsspsezifisches Personenkennzeichen (bPk) Gesundheit (GH).
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Ausgabebedingung: Kann.
      Format: max. 31 stellig (alphanumerisch)
      Returns:
        bPkGh.

    - #### getAdresseList

          public Adresse[] getAdresseList()

      Adressen des Patienten (maximal zwei Adressen). Siehe `Adresse`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Liste von Adressen.

    - #### getTelecomList

          public String[] getTelecomList()

      Kontaktdaten (zum Beispiel Telefonnummer, Mailadresse).
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Format: Präfix gemäß Value-Set "ELGA_URLScheme" (siehe Terminologieserver) gefolgt vom tatsächlichem Wert
      Beispiele: Telefonnummer - "tel:+43 1 40400", E-Mail: "mailto:office@organisation.at"
      Returns:
        Liste von Kontaktdaten.

    - #### getName

          public Name getName()

      Name des Patienten. Siehe `Name`.
      Eingabebedingung:
      Erfassung: Bedingt. Bei Verwendung der SV-Nummer des Patienten bei Funktionsaufruf (bzw. der e-card), wird ein hier eingegebener Name ignoriert und der Name aus dem eCS ermittelt. Bei Verwendung einer EMED-ID beim Funktionsaufruf muss hier ein Name angegeben werden.
      Änderung: Bedingt. Bei Verwendung der SV-Nummer des Patienten bei Funktionsaufruf (bzw. der e-card), wird ein hier eingegebener Name ignoriert und der Name aus dem eCS ermittelt. Bei Verwendung einer EMED-ID beim Funktionsaufruf muss hier ein Name angegeben werden.
      Ausgabebedingung: Muss.
      Returns:
        Name.

    - #### getGeschlecht

          public Code getGeschlecht()

      Geschlecht des Patienten. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Bedingt. Bei Verwendung der SV-Nummer des Patienten bei Funktionsaufruf (bzw. der e-card), wird ein hier angegebenes Geschlecht ignoriert und stattdessen aus dem eCS ermittelt. Bei Verwendung einer EMED-ID beim Funktionsaufruf muss hier ein Geschlecht angegeben werden.
      Änderung: Bedingt. Bei Verwendung der SV-Nummer des Patienten bei Funktionsaufruf (bzw. der e-card), wird ein hier angegebenes Geschlecht ignoriert und stattdessen aus dem eCS ermittelt. Bei Verwendung einer EMED-ID beim Funktionsaufruf muss hier ein Geschlecht angegeben werden.
      Ausgabebedingung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_AdministrativeGender
      Returns:
        Geschlecht.

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum/-zeitpunkt des Patienten.
      Eingabebedingung:
      Erfassung: Bedingt. Bei Verwendung der SV-Nummer des Patienten bei Funktionsaufruf (bzw. der e-card), wird ein hier angegebenes Geburtsdatum ignoriert und stattdessen aus dem eCS ermittelt. Bei Verwendung einer EMED-ID beim Funktionsaufruf muss hier ein Geburtsdatum angegeben werden.
      Änderung: Bedingt. Bei Verwendung der SV-Nummer des Patienten bei Funktionsaufruf (bzw. der e-card), wird ein hier angegebenes Geburtsdatum ignoriert und stattdessen aus dem eCS ermittelt. Bei Verwendung einer EMED-ID beim Funktionsaufruf muss hier ein Geburtsdatum angegeben werden.
      Ausgabebedingung: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Geburtsdatum.

    - #### getFamilienstand

          public Code getFamilienstand()

      Familienstand des Patienten. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_MaritalStatus
      Returns:
        Familienstand.

    - #### getReligionsbekenntnis

          public Code getReligionsbekenntnis()

      Religionsbekenntnis des Patienten. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_ReligiousAffiliation
      Returns:
        Religionsbekenntnis.

    - #### getSachwalterList

          public Guardian[] getSachwalterList()

      Sachwalter/Vormund. Siehe `Guardian`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Liste von Sachwalter/Vormund.

    - #### getGeburtsort

          public Adresse getGeburtsort()

      Adresse des Geburtsorts. Siehe `Adresse`.
      Eingabebedingung:
      Erfassung: Kann.
      Änderung: Kann.
      Ausgabebedingung: Kann.
      Returns:
        Geburtsort.

    - #### setLokaleId

          public void setLokaleId(Id lokaleId)

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### setBpkGh

          public void setBpkGh(String bpkGh)

    - #### setAdresseList

          public void setAdresseList(Adresse[] adresseList)

    - #### setTelecomList

          public void setTelecomList(String[] telecomList)

    - #### setName

          public void setName(Name name)

    - #### setGeschlecht

          public void setGeschlecht(Code geschlecht)

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### setFamilienstand

          public void setFamilienstand(Code familienstand)

    - #### setReligionsbekenntnis

          public void setReligionsbekenntnis(Code religionsbekenntnis)

    - #### setSachwalterList

          public void setSachwalterList(Guardian[] sachwalterList)

    - #### setGeburtsort

          public void setGeburtsort(Adresse geburtsort)